normOLIN {maigesPack} | R Documentation

## Normalise a cDNA Microarray Object

### Description

This function loads a `maigesRaw` object and normalise it using methods OLIN or OSLIM.

### Usage

    normOLIN(obj=NULL, ...)

### Arguments

`obj` | object of type `maigesRaw` to be normalised.
`...` | additional parameters for function `olin`.

### Details

This function for normalisation is entirely based on function `olin` from OLIN package. This function implements the methods OLIN and OSLIM, proposed by Futschich and Crompton (2004). See help page for this function to discover how to set the parameters.

### Value

This function returns a `maiges` object.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### References

Futschik, M. and Crompton, T. Model selection and efficiency testing for normalization of cDNA microarray data, Genome Biology, 5, R60, 2004 (http://genomebiology.com/2004/5/8/R60).

### See Also

`olin` from OLIN package.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Doing the OLIN normalization. Pay attention because, this methods are
    ## very time consuming!
    ## Not run:
    gastro.norm = normOLIN(gastro.raw2) ## Without scale adjustment

    gastro.norm = normOLIN(gastro.raw2, OSLIN=TRUE) ## With scale adj
    ## End(Not run)

[Package maigesPack version 1.4.0 Index]